{{ define "main" }}

<h2>{{.Title}}</h2>

<p>{{.Content}}</p>


<!-- <div id="theme-tagcloud" class="col-sm-12">
    {{ $tags := $.Site.Taxonomies.tags.ByCount }}
    {{ $v1 := where $tags "Count" ">=" 1 }}
    {{ $v2 := where $v1 "Term" "not in" (slice "hugo" "tags" "rss") }}
    {{ range $v2 }}
    {{ if .Term }}
    {{ $tagURL := printf "tags/%s" .Term | relURL }}
    <a href="{{ $tagURL }}" class="btn btn-primary m-1" role="button"  >{{ .Term }} <span class="badge badge-light">{{ .Count }}</span></a>
    {{ end }}
    {{ end }}
</div> -->

  
{{ $count := len .Pages }}
{{ $titlesOnly := gt $count 10  }}

{{ if $titlesOnly }}
<table class="table-striped">
    <tr><th>Tags used</th><th>Number of posts</th></tr>

{{ range .Pages.ByTitle }}

{{ $tag := urlize .Name }}
{{ $pages := index $.Site.Taxonomies.tags $tag }}
{{ $count := len $pages}}
<tr><td><a href="{{ .Permalink }}">{{ humanize .Title }}</a></td><td>{{ $count }}</td></tr>
{{ end }}
</table> 
{{ else }}

{{ $truncate := default true .Site.Params.truncate }}
{{ $paginator := .Paginate (where .Site.RegularPages "Section" "in" .Site.Params.mainSections) }}
{{ range $paginator.Pages }}
{{ if $truncate }}
{{ .Render "summary" }}
{{ else }}
{{ .Render "content" }}
{{ end }}
{{ end }}

{{ if or (.Paginator.HasPrev) (.Paginator.HasNext) }}
{{ partial "pagination.html" . }}
{{ end }}
{{ end }}


{{ end }}